Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006280OCamlOCaml documentationpublic2013-12-26 06:202014-07-16 11:07
Reporterberenger 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.02.0+dev 
Summary0006280: undocumented exception in Unix.lockf
DescriptionThe type of the exception should be in the ocamldoc
for lockf (Unix.Unix_error).
Maybe this is the case for all exceptions
in this module but is written nowhere in the doc.

Regards,
F.
Tagsjunior_job
Attached Files

- Relationships
duplicate of 0005841closed Omitted information concerning exceptions that could be raised. 

-  Notes
(0011836)
doligez (administrator)
2014-07-16 11:07

This was fixed (branch 4.02, commit 14918) by documenting the fact that all Unix functions can raise Unix.Error.

- Issue History
Date Modified Username Field Change
2013-12-26 06:20 berenger New Issue
2014-06-19 17:44 gasche Tag Attached: junior_job
2014-07-16 11:06 doligez Relationship added duplicate of 0005841
2014-07-16 11:07 doligez Note Added: 0011836
2014-07-16 11:07 doligez Status new => closed
2014-07-16 11:07 doligez Resolution open => fixed
2014-07-16 11:07 doligez Fixed in Version => 4.02.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker